Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 07 Jul 2021 06:21:13 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Placed an order Click and Collect on the 31st of May 2021, today is the 15th of June, however, the item is still not ready for collection. Multiple follow ups were made, still no proper response. A week ago I was told it's already shipped from the warehouse, and the store probably didn't receive it in the system, then apparently it's in transit. I was told that I would get a call, not received. I was told that I would get an update within 48 hours, still nothing. And both items, even now, are available in stock. Absolutely tired of following up and trying to get my order.

The order was placed with Splash. On the other hand, I placed a couple of orders from Max, last week, one was ready for collection in a couple of days, the other is being delivered today also within a couple of days. I placed an order with Home Center the same day as the Splash order, it was also ready within a couple of days. Placed an order with Namshi UAE last week, also received within a few days. So no excuse can be given that it's due to the closure of malls, etc. This is an issue specific to the order from Splash, either order mishandled/missing or who knows what the reasons are. Very disappointing. 

I believe they could have at least re-shipped the items since they were in stock and then take their time to resolve the issue they had with the other. Or they could have even suggested I place a new order whilst they cancel the other one. At one point, I was told that they can't even cancel the order, but today they said they will cancel it. Terrible online shopping experience. Could have ordered one of the items from Talabat and gotten it the same day. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2718639